=== debian/changelog ===
ros-noetic-respeaker-ros (2.1.21-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.20-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.19-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.18-2buster) buster; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.17-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.16-2buster) buster; urgency=high

  * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.15-2buster) buster; urgency=high

  * [respeaker_ros] add pixel-ring in run_depend of respeaker_ros (#184 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/184>)
  * [respeaker_ros] install config dir in respeaker_ros (#185 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/185>)
  * Contributors: Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.14-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.13-2buster) buster; urgency=high

  * [respeaker_ros] increase timeout to pass the test (#170 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/170>)
    
      * default tts_action_names should be soundplay
      * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
      * [respeaker_ros] add python-speechrocognition-pip to package.depends, because scripts/speech_to_text.py depends on it
    
  * [respeaker_ros] Add test file for speech_to_text (#164 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/164>)
    
      * add test file for speech_to_text
    
  * [respeaker_ros] add tts_action_names param: do not listen when the robot is speaking either japanese or english (#168 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/168>)
    
      * add tts_actions param: do not listen when the robot is speaking either japanese or english
    
  * Contributors: Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.12-2buster) buster; urgency=high

  * Make sample_respeaker.launch re-usable (#161 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/161>)
    
      * [respeaker_ros] add docs for each args in sample_respeaker.launch
      * make sample_respeaker.launch re-usable
    
  * respeaker_ros: cleanup error messages (#155 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/155>)
  * Contributors: Yuki Furuta, Kei Okada, Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.11-2buster) buster; urgency=high

  * Add respeaker_ros package (#152 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/152>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.10-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.9-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.8-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.7-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.6-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.5-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.4-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.3-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.2-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.1-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.1.0-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-noetic-respeaker-ros (2.0.20-2buster) buster; urgency=high




