=== debian/changelog ===
ros-noetic-respeaker-ros (2.1.28-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.26-1focal) focal; urgency=high

  * [respeaker_ros] importing does not succeed (#477 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/477>)
  * respeaker_ros: Fix test. we use rosrun .... to run scripts (#478 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/478>)
  * Contributors: Kei Okada, Soonhyo Kim

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.25-1focal) focal; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * [respeaker_ros] add FileNotFoundError in respeaker for python3 (#428 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/428>)
  * [respeaker_ros] Stop timer on shutdown (#385 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/385>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * [respeaker_ros] Add documentation for displaying Japanese /speech_to_text (#352 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/352>)
  * [respeaker_ros] Display helpful setting command when udev rule is not set (#351 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/351>)
  * Using RespeakerInterface instead of init_respeaker (#305 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/305>)
  * respeaker_ros for Python 2.x and 3.x (#284 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/284>)
  * Contributors: Aoi Nakane, Dirk Gorissen, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.24-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.23-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.22-1focal) focal; urgency=high

  * [respeaker_ros] Specify correct Python version in package.xml (#247 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/247>)
    
      * Fixes typo introduced in https://github.com/jsk-ros-pkg/jsk_3rdparty/commit/39be21894a38112a1633cf8385caf079c35536ff
    
  * Add respawn_delay to respeaker_node.py to reduce CPU load (#241 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/241>)Kill respeaker_node.py when USBError occur to reduce CPU load
  * [respeaker_ros] fix default sound_play action name of speech_to_text.py (#239 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/239>)
  * Mistakes I found when I tried to use respeaker_ros on hirovision (#217 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/217>)
    
      * add speech_recognition_msgs
      * change the name from respeaker.launch to sample_respeaker.launch
    
  * Contributors: Koki Shinjo, Miyabi Tanemoto, Naoya Yamaguchi, Shun Hasegawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.21-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.20-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.19-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.18-1focal) focal; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.17-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.16-1focal) focal; urgency=high

  * [respeaker_ros] increase timeout to pass the test https://api.travis-ci.org/v3/job/554008643/log.txt
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-respeaker-ros (2.1.15-1focal) focal; urgency=high

  * [respeaker_ros] add pixel-ring in run_depend of respeaker_ros (#184 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/184>)
  * [respeaker_ros] install config dir in respeaker_ros (#185 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/185>)
  * Contributors: Shingo Kitagawa


