=== debian/control ===
Source: ros-noetic-respeaker-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-dynamic-reconfigure, ros-noetic-jsk-tools <!nocheck>, ros-noetic-rostest <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-respeaker-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-numpy, python3-pyaudio, ros-noetic-angles, ros-noetic-audio-common-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-speech-recognition-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: The respeaker_ros package
